Bug 1808333

Summary: openvswitch-ovn-kubernetes requires Python 2 to build
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: openvswitch-ovn-kubernetesAssignee: Phil Cameron <pcameron>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: pcameron
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-04 08:47:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803205    

Description Petr Viktorin 2020-02-28 09:37:45 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like openvswitch-ovn-kubernetes, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

Switching to Python 3 seemed easy to me (though I don't necessarily
know much about openvswitch-ovn-kubernetes). So I opened a pull request: https://src.fedoraproject.org/rpms/openvswitch-ovn-kubernetes/pull-request/1

Could you merge it?
If not, if it's possible that the Python 2 build dependency won't get
removed in Fedora 33, please let us know; the package will need
a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Phil Cameron 2020-02-28 14:01:09 UTC
Hi Petr,
openvswitch-ovn-kubernetes rpm is obsolete and needs to be removed. We are using container images and not rpms.
I don't know how to do that. Do you know how it is done or can you point me to someone that does? 
Thanks

Comment 2 Petr Viktorin 2020-03-02 10:39:51 UTC
Verify that nothing depends on it. (I've run these;l nothing does):
    $ sudo dnf repoquery --repo rawhide --whatrequires openvswitch-ovn-kubernetes
    $ sudo dnf repoquery --repo rawhide-source --whatrequires openvswitch-ovn-kubernetes

The retirement procedure is in https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
but basically, it's:

    fedpkg retire DESCRIPTION

Please do this only on master (i.e. Rawhide).

Comment 3 Phil Cameron 2020-03-02 15:00:54 UTC
Petr
I did the retire. Please verify that the pkg is gone.
Thanks.

Comment 4 Petr Viktorin 2020-03-04 08:47:04 UTC
Confirmed. Thank you!